Skip to content

Review a flagged project

POST
/api/v1/admin/abuse-scans/{id}/review
curl --request POST \
--url https://api.deploybase.eu/api/v1/api/v1/admin/abuse-scans/example/review \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "resolution": "example", "review_status": "example" }'

Marks a new scan dismissed or actioned. Only a finished scan still in review_status new (or superseded but live again) can be reviewed.

id
required
string

Scan ID

Decision

Media type application/json
object
resolution
string
<= 2000 characters
review_status
required
string

Example generated

{
"resolution": "example",
"review_status": "example"
}

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
deployment_url

DeploymentURL is the scanned deployment’s URL, as text: never render it as a link.

string
hosts
Array<string>
reports
Array<object>
object
category
string
created_at
string
id
string
status
string
scan
object
branch
string
created_at
string
deployment_id
string
error
string
files_scanned
integer
handled_at
string
handled_by
string
id
string
matches
Array<object>
object
category
string
examples
Array<object>
object
path
string
snippet
string
hits
integer
rule_id
string
priority
string
project_id
string
resolution
string
review_status
string
scanned_at
string
score
integer
status
string
team_id
string
truncated
boolean
team
object
name
string
plan
string
suspended
boolean

Example generated

{
"data": {
"deployment_url": "example",
"hosts": [
"example"
],
"reports": [
{
"category": "example",
"created_at": "example",
"id": "example",
"status": "example"
}
],
"scan": {
"branch": "example",
"created_at": "example",
"deployment_id": "example",
"error": "example",
"files_scanned": 1,
"handled_at": "example",
"handled_by": "example",
"id": "example",
"matches": [
{
"category": "example",
"examples": [
{
"path": "example",
"snippet": "example"
}
],
"hits": 1,
"rule_id": "example"
}
],
"priority": "example",
"project_id": "example",
"resolution": "example",
"review_status": "example",
"scanned_at": "example",
"score": 1,
"status": "example",
"team_id": "example",
"truncated": true
},
"team": {
"name": "example",
"plan": "example",
"suspended": true
}
},
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

The scan was already reviewed, was replaced by a newer deploy, or has not finished

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Internal Server Error

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Service Unavailable

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Live 174db30c built